Internet top up
List internet top-ups
GET
Internet top-ups sent with your API keys, newest first. topups repeats items for clients migrating from other v3 APIs.
AccessTokenheader
X-Access-Token<token>Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.
page?integerPage number, starting at 1.
Range
1 <= valueDefault
1pageSize?integerItems per page (1-100).
Range
1 <= value <= 100Default
20from?stringStart of the date range (ISO 8601). Send together with to.
Format
date-timeto?stringEnd of the date range (ISO 8601). Send together with from.
Format
date-timeA page of top-ups
application/json- response
success*trueValue in
truedata*meta*requestId*stringcurl -X GET 'https://api.flexyliktelecom.com/v3/internet/list'Example Response
{ "success": true, "data": { "items": [ { "_id": "T00045678", "ref": "order-10294", "status": "HANDLING", "type": "ADSL", "number": "030000009", "topup_amount": 1000, "balance_amount": 1000, "card_name": "string", "card_code": "string", "serial_number": "string", "num_trans": "string", "refund_message": "string", "manual_message": "string", "created_at": "2026-11-15T10:31:00.000Z" } ], "topups": [ { "_id": "T00045678", "ref": "order-10294", "status": "HANDLING", "type": "ADSL", "number": "030000009", "topup_amount": 1000, "balance_amount": 1000, "card_name": "string", "card_code": "string", "serial_number": "string", "num_trans": "string", "refund_message": "string", "manual_message": "string", "created_at": "2026-11-15T10:31:00.000Z" } ], "pagination": { "page": 1, "pageSize": 20, "totalPages": 3, "totalResults": 47 } }, "meta": { "timestamp": "2026-11-15T10:30:00.000Z" }, "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}